import javax.swing.*;

public class PersonView extends JPanel {
    private Person personObj;
    private FirstnameView firstnameView;
    private OriginView originView;
    private SizeView sizeView;
    private WeightView weightView;
    private EyeView eyeView;

    PersonView(Person personObj) {
        setPersonObj(personObj);
        setFirstnameView(new FirstnameView(10, this.personObj.getFirstname()));
        setOriginView(new OriginView(this.personObj.getOrigin()));
        setSizeView(new SizeView(this.personObj.getPersonSize()));
        setWeightView(new WeightView(this.personObj.getWeight()));
        setEyeView(new EyeView(this.personObj.getEye()));

        add(firstnameView);
        add(originView);
        add(sizeView);
        add(weightView);
        add(eyeView);
    }

    public Person getPersonObj() {
        return personObj;
    }

    public void setPersonObj(Person personObj) {
        this.personObj = personObj;
    }

    /**
     * @return
     */
    public FirstnameView getFirstnameView() {
        return firstnameView;
    }

    /**
     * @param firstnameView
     */
    public void setFirstnameView(FirstnameView firstnameView) {
        this.firstnameView = firstnameView;
    }

    /**
     * @return
     */
    public OriginView getOriginView() {
        return originView;
    }

    /**
     * @param originView
     */
    public void setOriginView(OriginView originView) {
        this.originView = originView;
    }

    /**
     * @return
     */
    public SizeView getSizeView() {
        return sizeView;
    }

    /**
     * @param sizeView
     */
    public void setSizeView(SizeView sizeView) {
        this.sizeView = sizeView;
    }

    /**
     * @return
     */
    public WeightView getWeightView() {
        return weightView;
    }

    /**
     * @param weightView
     */
    public void setWeightView(WeightView weightView) {
        this.weightView = weightView;
    }

    /**
     * @param eyeView
     */
    public void setEyeView(EyeView eyeView) {
        this.eyeView = eyeView;
    }

    /**
     * @return
     */
    public EyeView getEyeView() {
        return eyeView;
    }
}
