import javax.swing.*;

public class EyeView extends JComponent {
    private Eye eyeObj;
    private JLabel label;
    private JList colorsList;

    /**
     * @param eyeObj
     */
    EyeView(Eye eyeObj) {
        setEyeObj(eyeObj);
        this.label = new JLabel();
        this.label.setText("Eyes color");
        this.colorsList = new JList(getEyeObj().getColorsList());
        this.colorsList.setSelectionMode(ListSelectionModel.SINGLE_SELECTION);
        this.colorsList.setLayoutOrientation(JList.VERTICAL);
        add(label);
        add(colorsList);
    }

    /**
     * @return
     */
    public Eye getEyeObj() {
        return eyeObj;
    }

    /**
     * @param eyeObj
     */
    public void setEyeObj(Eye eyeObj) {
        this.eyeObj = eyeObj;
    }
}
